CREATE TABLE esia_device_group
(
  device_group_id serial NOT NULL,
  device_group_name character varying(25),
  device_group_parent integer,
  CONSTRAINT "esia_device_group_PrimaryKey" PRIMARY KEY (device_group_id),
  CONSTRAINT "esia_device_group_ForeignKey_device_group_id" FOREIGN KEY (device_group_parent)
      REFERENCES esia_device_group (device_group_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
);
CREATE TABLE esia_device_group_in
(
   group_in_device_id integer, 
   group_in_device_group_id integer, 
   CONSTRAINT "device_group_in_PrimaryKey" PRIMARY KEY (group_in_device_id, group_in_device_group_id), 
   CONSTRAINT "device_group_in_ForeignKey_device_id" FOREIGN KEY (group_in_device_id) REFERENCES esia_device (device_id) ON UPDATE NO ACTION ON DELETE NO ACTION, 
   CONSTRAINT "device_group_in_ForeignKey_device_group_id" FOREIGN KEY (group_in_device_group_id) REFERENCES esia_device_group (device_group_id) ON UPDATE NO ACTION ON DELETE NO ACTION
);
INSERT INTO esia_device_group(device_group_name) SELECT DISTINCT device_group_name FROM esia_device;

CREATE OR REPLACE FUNCTION migrate_device_groups() RETURNS integer AS $$
DECLARE 
	r esia_device_group%rowtype;
BEGIN	
	FOR r IN SELECT * FROM esia_device_group 
	LOOP
		RAISE NOTICE 'i want to print % and %', r.device_group_id ,r.device_group_name;
		INSERT INTO esia_device_group_in(group_in_device_id, group_in_device_group_id) SELECT device_id, r.device_group_id FROM esia_device WHERE device_group_name=r.device_group_name;

	END LOOP;
	RETURN 0;	
END;
$$ LANGUAGE plpgsql;

SELECT migrate_device_groups();

DROP FUNCTION migrate_device_groups();

--Modification pour l'USL et le chiffrement des mot de passe.
ALTER TABLE esia_device DROP COLUMN device_passwd;
ALTER TABLE esia_device ADD COLUMN device_passwd bytea;
UPDATE esia_search SET search_file='/plugin/cloudswitch/sw_search_addon.php' WHERE search_keyword='idesc' OR search_keyword='mac' OR search_keyword='plug';
--UPDATE des système mails
UPDATE esia_configuration SET config_value='alert@esia-sa.com'  WHERE config_key='MAIL_FROM';
UPDATE esia_configuration SET config_value='ssl0.ovh.net'  WHERE config_key='MAIL_SMTP';
UPDATE esia_configuration SET config_value='465'  WHERE config_key='MAIL_SMTP_PORT';
UPDATE esia_configuration SET config_value='alert@esia-sa.com'  WHERE config_key='MAIL_USER';
UPDATE esia_configuration SET config_value='alert2016'  WHERE config_key='MAIL_PASSWORD';

--Correction des services et des pattern
UPDATE esia_service_pattern_included SET included_parameter=replace(included_parameter,'-t 30','-t 50' ) WHERE included_parameter LIKE '%-t 30%';
UPDATE esia_services SET service_parameter= replace(service_parameter,'-t 30','-t 50' ) WHERE service_parameter LIKE '%-t 30%'; 

--correction moteur de recherche
UPDATE esia_search SET search_name='SEARCH_INT_DESCRIPTION' WHERE search_keyword='idesc';
UPDATE esia_search SET search_name='SEARCH_INT_MAC_ADDRESS' WHERE search_keyword='mac';
UPDATE esia_search SET search_name='SEARCH_NODE' WHERE search_keyword='node';
UPDATE esia_search SET search_name='SEARCH_INT_PLUG' WHERE search_keyword='plug';

