--
-- GLOBAL
--

--		Victor		--

ALTER TABLE esia_plugins ADD COLUMN plugin_html_template character varying (250);

--		Nathan		--

-- Ajout de la colone user id pour identifier l'utilisateur qui acquitte une erreur
ALTER TABLE esia_error_happen
   ADD COLUMN happen_user_id integer;

ALTER TABLE esia_error_happen
  ADD CONSTRAINT "happen_ForeignKey_user_id" FOREIGN KEY (happen_user_id) REFERENCES esia_users (user_id)
   ON UPDATE NO ACTION ON DELETE NO ACTION;
CREATE INDEX "happen_ForeignKey_user_id"
  ON esia_error_happen(happen_user_id);

-- Ajout droit d'acquittement  
INSERT INTO esia_privileges(
            privilege_id, privilege_name, privilege_site, privilege_description)
    VALUES (DEFAULT, 'acquit_access', 1, 'Autorise l''acquittement');

-- Ajout du droit d'acquittement à l'utilisateur root
INSERT INTO esia_privilege_grantedto VALUES ((SELECT group_id FROM esia_groups WHERE group_name='root'),(SELECT privilege_id FROM esia_privileges WHERE privilege_name='acquit_access'),1); 

-- Modification paramètre -U --
UPDATE esia_plugins SET plugin_default_parameter='-H $IP -p 80 -c 2.0 -w 3.0' WHERE plugin_name='CHECK_HTTP';

-- Table: esia_interface_connected_to


CREATE TABLE esia_interface_connected_to
(
  conint_switch_interface_id integer NOT NULL,
  conint_interface_id2 integer NOT NULL,
  conint_protocol character varying(10) DEFAULT 'MACTABLE'::character varying,
  CONSTRAINT "conint_primaryKey" PRIMARY KEY (conint_switch_interface_id, conint_interface_id2),
  CONSTRAINT "conint_foreignKey_interface_id1" FOREIGN KEY (conint_switch_interface_id)
      REFERENCES esia_interface (interface_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT "conint_foreignKey_interface_id2" FOREIGN KEY (conint_interface_id2)
      REFERENCES esia_interface (interface_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
)
WITH (
  OIDS=FALSE
);
ALTER TABLE esia_interface
   ADD COLUMN interface_mac_addr macaddr;



--		Nicolas		--
ALTER TABLE gesa_info
   ADD COLUMN gesa_local_ip inet;

--correction TIMER SNMP
ALTER TABLE esia_device
   ALTER COLUMN device_snmp_timer SET DEFAULT 1000000;

--AJOUT POUR LE TREEVIEW
CREATE OR REPLACE FUNCTION getdeviceingroup(
    IN userid integer,
    IN groupid integer)
  RETURNS TABLE(device_id integer) AS
$BODY$
    DECLARE
        v_service integer;
        BEGIN
	IF (groupid IS NOT NULL)
	THEN
		RETURN QUERY SELECT T1.device_id
				FROM esia_device AS T1
				JOIN esia_device_group_in ON T1.device_id = group_in_device_id
				JOIN esia_device_group ON device_group_id= group_in_device_group_id
				WHERE T1.device_id IN ( SELECT * FROM getUserAccessNode(userid)) AND device_delete=FALSE AND device_group_id = groupid ;
	ELSE
		RETURN QUERY SELECT T1.device_id
		FROM esia_device AS T1
		WHERE T1.device_id IN ( SELECT * FROM getUserAccessNode(userid)) AND device_delete=FALSE
			AND NOT EXISTS(SELECT group_in_device_id FROM esia_device_group_in WHERE group_in_device_id = T1.device_id);
	END IF;

   END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100
  ROWS 1000;

--RRD PLUGIN POUR LE CALCUL DE VALEURS
ALTER TABLE rrd_plugins ADD COLUMN rrd_calc character varying;

--MODIFICATION POUR LES GESA PnP et le reporting Futur
ALTER TABLE gesa_info ADD COLUMN gesa_version_base character varying(10);
ALTER TABLE gesa_info ADD COLUMN gesa_version_nrpe character varying(10);
ALTER TABLE gesa_info ADD COLUMN gesa_version_plugin character varying(10);
ALTER TABLE gesa_info ADD COLUMN gesa_version_web character varying(10);
ALTER TABLE gesa_info ADD COLUMN gesa_repo_global character varying(100);
ALTER TABLE gesa_info ADD COLUMN gesa_repo_gesa character varying(100);
ALTER TABLE gesa_info ADD COLUMN gesa_last_update timestamp without time zone;
ALTER TABLE gesa_info ADD COLUMN gesa_rsbp character varying(10);


--Table pour le module de topologie (passage furtur dans le standard) 

CREATE TABLE esia_interface_connected_to
(
  conint_switch_interface_id integer NOT NULL,
  conint_interface_id2 integer NOT NULL,
  conint_protocol character varying(10) DEFAULT 'MACTABLE'::character varying,
  CONSTRAINT "conint_primaryKey" PRIMARY KEY (conint_switch_interface_id, conint_interface_id2),
  CONSTRAINT "conint_foreignKey_interface_id1" FOREIGN KEY (conint_switch_interface_id)
      REFERENCES esia_interface (interface_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT "conint_foreignKey_interface_id2" FOREIGN KEY (conint_interface_id2)
      REFERENCES esia_interface (interface_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
);

ALTER TABLE esia_interface
   ADD COLUMN interface_mac_addr macaddr;

---
--AJOUT POUR LES PLUGIN ENTERPRISES
---

--		Nicolas		--

-- modification pour les espaces disques / mémoire en GO
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_graph_num, rrd_calc)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_MEM'),'GAUGE','#\/([0-9]*)MB\)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA', '#F79F81',2,'*1000000');
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_graph_num, rrd_calc)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_MEM'),'GAUGE','#\(([0-9]*)MB\/#',300,DEFAULT,'Used',0,-1,'Bytes','AREA', '#58ACFA',2,'*1000000');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_graph_num, rrd_calc)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_MEM'),'GAUGE','#\/([0-9]*)MB\)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA', '#F79F81',2,'*1000000');
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_graph_num, rrd_calc)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_MEM'),'GAUGE','#\(([0-9]*)MB\/#',300,DEFAULT,'Used',0,-1,'Bytes','AREA', '#58ACFA',2,'*1000000');


INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_graph_num, rrd_calc)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_STORAGE'),'GAUGE','#\/([0-9]*)MB\)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA', '#F79F81',2,'*1000000');
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_graph_num, rrd_calc)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_STORAGE'),'GAUGE','#\(([0-9]*)MB\/#',300,DEFAULT,'Used',0,-1,'Bytes','AREA', '#58ACFA',2,'*1000000');

INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_graph_num, rrd_calc)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_STORAGE'),'GAUGE','#\/([0-9]*)MB\)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA', '#F79F81',2,'*1000000');
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_graph_num, rrd_calc)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_LINUX_STORAGE'),'GAUGE','#\(([0-9]*)MB\/#',300,DEFAULT,'Used',0,-1,'Bytes','AREA', '#58ACFA',2,'*1000000');


INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_graph_num, rrd_calc)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_MEM_SWAP'),'GAUGE','#\/([0-9]*)MB\)#',300,DEFAULT,'Total',0,-1,'Bytes','AREA', '#F79F81',2,'*1000000');
INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_graph_num, rrd_calc)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='CHECK_SNMP_WINDOWS_MEM_SWAP'),'GAUGE','#\(([0-9]*)MB\/#',300,DEFAULT,'Used',0,-1,'Bytes','AREA', '#58ACFA',2,'*1000000');

-- 		Victor 		--


INSERT INTO esia_plugins(plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_default_interval_time, plugin_description, plugin_delete, plugin_priority, plugin_html_template)
    VALUES ('Victor_Snmp_Cpu_Server', '/usr/local/esia/plugins/victor_snmp_cpu_server','default','-H $IP -C $SNMP_COM -w 80 -c 90','300000','check cpu sur le serveur','false','7','/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php'); 

INSERT INTO esia_plugins(plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_default_interval_time, plugin_description, plugin_delete, plugin_priority, plugin_html_template)
    VALUES ('Victor_Snmp_Ram_Server','/usr/local/esia/plugins/victor_snmp_ram_server','default','-H $IP -C $SNMP_COM -w 80 -c 90','300000','check ram sur le serveur','false','7','/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php');

INSERT INTO esia_plugins(plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_default_interval_time, plugin_description, plugin_delete, plugin_priority, plugin_html_template)
    VALUES ('Victor_Snmp_Swap_Server','/usr/local/esia/plugins/victor_snmp_swap_server','default','-H $IP -C $SNMP_COM -w 80 -c 90','300000','check swap sur le serveur','false','7','/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php');

INSERT INTO esia_plugins(plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_default_interval_time, plugin_description, plugin_delete, plugin_priority, plugin_html_template)
    VALUES ('Victor_Snmp_Storage_Server','/usr/local/esia/plugins/victor_snmp_storage_server','default','-H $IP -C $SNMP_COM -w 80 -c 90','300000','check storage sur le serveur','false','7','/usr/local/esia/public_html/theme/plugins/CHECK_STORAGE_WAR_CRI.php');

INSERT INTO esia_plugins(plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_default_interval_time, plugin_description, plugin_delete, plugin_priority, plugin_html_template)
    VALUES ('Victor_Snmp_Cpu_Switch_Router','/usr/local/esia/plugins/victor_snmp_cpu_switch_router','default','-H $IP -C $SNMP_COM -w 80 -c 90','300000','check cpu sur le switch et/ou routeur','false','7','/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php');

INSERT INTO esia_plugins(plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_default_interval_time, plugin_description, plugin_delete, plugin_priority, plugin_html_template)
    VALUES ('Victor_Snmp_Ram_Switch_Router','/usr/local/esia/plugins/victor_snmp_ram_switch_router','default','-H $IP -C $SNMP_COM -w 80 -c 90','300000','check ram sur le switch et/ou routeur','false','7','/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php');


INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_regex_threshold)
	VALUES ((select plugin_id from esia_plugins where plugin_name='Victor_Snmp_Cpu_Server'),'GAUGE','#cpu=([0-9]*[\,\.][0-9]*)#','300','cpu','0','100','percent','AREA','#007FFF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#');

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_regex_threshold)
	VALUES ((select plugin_id from esia_plugins where plugin_name='Victor_Snmp_Ram_Server'),'GAUGE','#ram=([0-9]*[\,\.][0-9]*)#','300','ram','0','100','percent','AREA','#007FFF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#');

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_regex_threshold)
	VALUES ((select plugin_id from esia_plugins where plugin_name='Victor_Snmp_Swap_Server'),'GAUGE','#swap=([0-9]*[\,\.][0-9]*)#','300','swap','0','100','percent','AREA','#007FFF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#');

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_regex_threshold)
	VALUES ((select plugin_id from esia_plugins where plugin_name='Victor_Snmp_Storage_Server'),'GAUGE','#storage=([0-9]*[\,\.][0-9]*)#','300','storage','0','100','percent','AREA','#007FFF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#');

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_regex_threshold)
	VALUES ((select plugin_id from esia_plugins where plugin_name='Victor_Snmp_Cpu_Switch_Router'),'GAUGE','#usage\s([0-9]*)#','300','cpu','0','100','percent','AREA','#007FFF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#');

INSERT INTO rrd_plugins (rrd_plugin_id, rrd_type, rrd_regex, rrd_time,rrd_name,rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color, rrd_regex_threshold)
	VALUES ((select plugin_id from esia_plugins where plugin_name='Victor_Snmp_Ram_Switch_Router'),'GAUGE','#ram=([0-9]*[\,\.][0-9]*)#','300','ram','0','100','percent','AREA','#007FFF','#\-w\s+([0-9]*).*\-c\s+([0-9]*)#');


UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_NRPE.php' where plugin_name = 'CHECK_NRPE';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_UDP.php' where plugin_name = 'CHECK_UDP';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' where plugin_name = 'CHECK_SNMP_TIME';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_STORAGE_WAR_CRI.php' where plugin_name = 'CHECK_SNMP_LINUX_STORAGE';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_HTML.php' where plugin_name = 'CHECK_HTTP';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' where plugin_name = 'CHECK_IMAP';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_ICMP.php' where plugin_name = 'CHECK_ICMP';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_PGSQL.php' where plugin_name = 'CHECK_PGSQL';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' where plugin_name = 'CHECK_SMTP';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_LINUX_IO.php' where plugin_name = 'CHECK_SNMP_LINUX_IO';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' where plugin_name = 'CHECK_SNMP_LOAD';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_INTERFACE_EASY.php' where plugin_name = 'CHECK_SNMP_INTERFACE_EASY';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_TCP.php' where plugin_name = 'CHECK_TCP';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_DNS.php' where plugin_name = 'CHECK_DNS';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_LINUX_MEM.php' where plugin_name = 'CHECK_SNMP_LINUX_MEM';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_STORAGE_WAR_CRI.php' where plugin_name = 'CHECK_SNMP_WINDOWS_MEM';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_PRINTER.php' where plugin_name = 'CHECK_SNMP_PRINTER';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_INTERFACE_EASY.php' where plugin_name = 'CHECK_SNMP_SW_INTERFACE_EASY';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' where plugin_name = 'CHECK_SNMP_QNAP_STORAGE';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_STORAGE_WAR_CRI.php' where plugin_name = 'CHECK_SNMP_WINDOWS_MEM_SWAP';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' where plugin_name = 'CHECK_SNMP_QNAP_HEALTH';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_IPMI_SENSOR.php' where plugin_name = 'CHECK_IPMI_SENSOR';
UPDATE esia_plugins SET plugin_html_template = '/usr/local/esia/public_html/theme/plugins/CHECK_STORAGE_WAR_CRI.php' where plugin_name = 'CHECK_SNMP_WINDOWS_STORAGE';
UPDATE esia_plugins SET plugin_default_parameter = '-H $IP -p 80 -c 2.0 -w 3.0 -U <new.html>' where plugin_name = 'CHECK_HTTP';
UPDATE esia_plugins SET plugin_default_parameter = '-H $IP -C $SNMP_COM -w 80 -c 90' where plugin_name = 'CHECK_SNMP_LOAD';
UPDATE esia_plugins SET plugin_default_parameter = '-H $IP -C $SNMP_COM -m "^/$" -w 80 -c 90' where plugin_name = 'CHECK_SNMP_LINUX_STORAGE';

-- 		Nathan 		--

--	Simplification de plugins	--
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SSH.php' WHERE plugin_name='CHECK_SSH';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_FTP.php' WHERE plugin_name='CHECK_FTP';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SNMP.php' WHERE plugin_name='CHECK_SNMP';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_PROCESS.php' WHERE plugin_name='CHECK_SNMP_PROCESS';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_SW_INTERFACE_EASY.php' WHERE plugin_name='CHECK_SNMP_SW_INTERFACE_EASY';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_LINUX_STORAGE.php' WHERE plugin_name='CHECK_SNMP_LINUX_STORAGE';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_TIME.php' WHERE plugin_name='CHECK_SNMP_TIME';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_HTTP.php' WHERE plugin_name='CHECK_HTTP';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_WINDOWS_STORAGE.php' WHERE plugin_name='CHECK_SNMP_WINDOWS_STORAGE';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_WINDOWS_MEM.php' WHERE plugin_name='CHECK_SNMP_WINDOWS_MEM';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_WINDOWS_MEM.php' WHERE plugin_name='CHECK_SNMP_WINDOWS_MEM_SWAP';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' WHERE plugin_name='CHECK_SNMP_QNAP_STORAGE';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_WAR_CRI.php' WHERE plugin_name='CHECK_SNMP_QNAP_HEALTH';

--
--AJOUT PLUGIN CLOUD
--

--		Nicolas		--

--Plugin de base SNMP
INSERT INTO esia_plugins(
            plugin_id, plugin_name, plugin_path, plugin_type, plugin_default_parameter, plugin_default_interval_time, plugin_description, plugin_priority)
    VALUES (DEFAULT,'GESA_SNMP','/usr/local/esia/plugins/check_nrpe', 'default','-H $NRPE_HOST -p 5666 -t 50 -u -c check_snmp -a $IP $SNMP_COM <oid> <warning> <critical>',300000,'Plugin de base SNMP',5);


INSERT INTO rrd_plugins(
            rrd_plugin_id, rrd_type, rrd_regex, rrd_time, rrd_id, rrd_name, 
            rrd_min, rrd_max, rrd_vertical_label, rrd_graph_type, rrd_graph_color)
    VALUES ((SELECT plugin_id FROM esia_plugins WHERE plugin_name='GESA_SNMP'),'GAUGE','#\=([0-9]*)#',300,DEFAULT,'value',0,100,'','AREA','#007FFF');

--		Nathan		--

-- 	Simplification de plugins	--
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_ICMP.php' WHERE plugin_name='GESA_ICMP';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_HEALTH.php' WHERE plugin_name='GESA_HEALTH';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_SNMP_LOAD.php' WHERE plugin_name='GESA_SNMP_LOAD';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_SNMP_LINUX_MEM.php' WHERE plugin_name='GESA_SNMP_LINUX_MEM';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_SNMP_LINUX_STORAGE.php' WHERE plugin_name='GESA_SNMP_LINUX_STORAGE';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_SNMP_WINDOWS_STORAGE.php' WHERE plugin_name='GESA_SNMP_WINDOWS_STORAGE';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_SNMP_WINDOWS_MEM.php' WHERE plugin_name='GESA_SNMP_WINDOWS_MEM';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_SNMP_WINDOWS_MEM_SWAP.php' WHERE plugin_name='GESA_SNMP_WINDOWS_MEM_SWAP';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_SNMP_PROCESS.php' WHERE plugin_name='GESA_SNMP_PROCESS';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_SNMP_INTERFACE_EASY.php' WHERE plugin_name='GESA_SNMP_INTERFACE_EASY';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_SNMP_INTERFACE_EASY.php' WHERE plugin_name='GESA_SNMP_SW_INTERFACE_EASY';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_FTP.php' WHERE plugin_name='GESA_FTP';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_SSH.php' WHERE plugin_name='GESA_SSH';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_FTP.php' WHERE plugin_name='GESA_TCP';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_HTTP.php' WHERE plugin_name='GESA_HTTP';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_HTTP.php' WHERE plugin_name='GESA_HTTPS';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_HTTP.php' WHERE plugin_name='GESA_POP3';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_HTTP.php' WHERE plugin_name='GESA_POP3S';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_HTTP.php' WHERE plugin_name='GESA_IMAP';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_HTTP.php' WHERE plugin_name='GESA_IMAPS';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_HTTP.php' WHERE plugin_name='GESA_SMTP';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_HTTP.php' WHERE plugin_name='GESA_SMTPS';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_SNMP_LOAD.php' WHERE plugin_name='GESA_SNMP_QNAP_STORAGE';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/GESA_SNMP_LOAD.php' WHERE plugin_name='GESA_SNMP_QNAP_HEALTH';
