-- VICTOR GLOBAL 

INSERT INTO report_block(block_name, block_controller, block_default_parameter)
VALUES ('REPORT_GPDR_LOG', 'block_gpdr.php', '{"title":{"text":"Log RGPD","style":{"text-align":"left", "font-size":"15px", "color":"#575759"}},"description":{"text":"Voici le registre RGPD","style":{"text-align":"left", "margin":"auto", "font-size":"12px"}},"table":{"class":"arraytop","style":"width:60%; height:60%; margin:auto; border-spacing: 10px 10px;"},"td":{"class":"classtd","style":"font-size:50px"}}');

-- BUG 310 (HOME PAGE)
ALTER TABLE esia_users ADD COLUMN home_page character varying DEFAULT '/index.php';


-- BUG 594 Disparition des groupes lorsqu'on acquitte les erreurs. (voir Model_esia::getGroupNodeStates)
CREATE OR REPLACE VIEW view_node_state AS 
 SELECT t2.device_id,
    COALESCE(t2.warning, 0::bigint) AS warning,
    COALESCE(t2.critical, 0::bigint) AS critical,
    COALESCE(t2.unknown, 0::bigint) AS unknown,
    COALESCE(t2.ok, 0::bigint) AS ok,
    COALESCE(t2.maintenance, 0::bigint) AS maintenance,
	COALESCE(t2.acq, 0::bigint) AS acq
   FROM crosstab('SELECT device_id::integer as rowid,error_type::text as attribute,nbr::bigint
		FROM	(SELECT device_id,error_type, count (*) as nbr
			FROM (SELECT device_id, happen_id,error_type
					FROM esia_device
					JOIN view_actual_error ON view_actual_error.happen_device_id = device_id
					AND device_delete=FALSE
					) AS T1
			GROUP BY device_id,error_type
			UNION 
			SELECT service_device_id,''ok'',count(*) AS nbr
			FROM esia_services
			WHERE service_previous_state = 0 
				AND service_delete = false 
			GROUP BY service_device_id
			UNION 
			SELECT service_device_id,''acq'',count(*) AS nbr
			FROM esia_services
			WHERE service_last_stdout IS NOT NULL AND service_previous_state <>0 AND service_id NOT IN (SELECT happen_service_id FROM view_actual_error)
				AND service_delete = false 
			GROUP BY service_device_id

		) AS T2
		ORDER BY 1,2'::text, 'SELECT * FROM (SELECT error_type FROM  esia_errors UNION SELECT ''ok'' UNION SELECT ''acq'') AS T1 ORDER BY 1;'::text) t2(device_id integer, acq bigint, critical bigint, maintenance bigint, ok bigint, unknown bigint, warning bigint);

ALTER TABLE view_node_state
  OWNER TO esia;

-- Table: esia_communication_message

-- DROP TABLE esia_communication_message;

CREATE TABLE esia_communication_message
(
  message_id serial NOT NULL,
  type_message character varying NOT NULL,
  getcontent character varying NOT NULL,
  title character varying,
  message character varying,
  start_date timestamp without time zone,
  end_date timestamp without time zone,
  admin_message boolean,
  CONSTRAINT esia_communication_message_primarykey PRIMARY KEY (message_id),
  CONSTRAINT title_unique UNIQUE (title),
  CONSTRAINT esia_communication_message_getcontent_check CHECK (getcontent::text = 'rss'::text OR getcontent::text = 'html'::text OR getcontent::text = 'db'::text),
  CONSTRAINT esia_communication_message_type_messahge_check CHECK (type_message::text = 'report'::text OR type_message::text = 'info'::text OR type_message::text = 'tips'::text OR type_message::text = 'modal'::text OR type_message::text = 'license'::text)
)
WITH (
  OIDS=FALSE
);
ALTER TABLE esia_communication_message
  OWNER TO esia;
  
-- Table: esia_communication_message_link_user

-- DROP TABLE esia_communication_message_link_user;

CREATE TABLE esia_communication_message_link_user
(
  message_link_id integer NOT NULL,
  user_link_id integer NOT NULL,
  show_link boolean,
  CONSTRAINT "esia_communication_message_link_user_primaryKey" PRIMARY KEY (message_link_id, user_link_id),
  CONSTRAINT esia_communication_message_link_user_message_id FOREIGN KEY (message_link_id)
      REFERENCES esia_communication_message (message_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT esia_communication_message_link_user_user_id FOREIGN KEY (user_link_id)
      REFERENCES esia_users (user_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
)
WITH (
  OIDS=FALSE
);
ALTER TABLE esia_communication_message_link_user
  OWNER TO esia;  
  
  
 
-- Function: link_message_user()

-- DROP FUNCTION link_message_user();
 
CREATE OR REPLACE FUNCTION link_message_user()
  RETURNS trigger AS
$BODY$
DECLARE
    ForKEY RECORD;
BEGIN
	--FOR ForKEY IN SELECT tc.table_name, kcu.column_name, ccu.table_name AS foreign_table_name,ccu.column_name AS foreign_column_name 
	--	FROM information_schema.table_constraints  tc 
	--	JOIN information_schema.key_column_usage kcu ON tc.constraint_name = kcu.constraint_name 
	--	JOIN information_schema.constraint_column_usage ccu ON ccu.constraint_name = tc.constraint_name WHERE constraint_type = 'FOREIGN KEY' AND ccu.table_name='esia_communication_message_link_user' LOOP
	--EXECUTE 'DELETE FROM '|| ForKEY.table_name || ' WHERE '||ForKEY.column_name||' = '||OLD.message_id;
	--LOOP
	
	EXECUTE 'DELETE FROM esia_communication_message_link_user  WHERE message_link_id = '||OLD.message_id;
	--END LOOP;
	RETURN OLD;
END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100;
ALTER FUNCTION link_message_user()
  OWNER TO esia;
  
-- Trigger: trigger_delete_link_message_user on esia_communication_message

-- DROP TRIGGER "esia_communication_message" ON esia_communication_message; 
  
CREATE TRIGGER "trigger_delete_link_message_user"
BEFORE DELETE ON esia_communication_message
FOR EACH ROW EXECUTE PROCEDURE link_message_user();  
  
    
-- INSERT NEW WIDGET POUR MESSAGE
INSERT INTO dashboard_view(view_name, view_file_path, view_during, view_default_height, view_default_width, view_default_option)
VALUES ('DASHBOARD_MESSAGE','/dashboard/view_com_msg.php?id=:widgetid', 30, 100, 300,'{"message_id":""}');



-- INSERT NEW WIDGET POUR IMAGE
INSERT INTO dashboard_view(view_name, view_file_path, view_during, view_default_height, view_default_width, view_default_option)
VALUES ('DASHBOARD_IMAGE','/dashboard/view_wig_img.php?id=:widgetid', 180, 100, 300,'{"title":{"style":"text-align: center; font-size:15px;color:#575759;"},"description":{"style":"text-align: center; margin:auto;font-size:12px;"},"table":{"class":"arraytop","style":"width:60%; height:60%; margin: auto; border-spacing: 10px 10px;"},"td":{"style":"font-size:50px;"},"imageHeader":"","path":""}');

---
---Nicolas GLOBAL
---

-- Table: esia_device_advance_config_type

-- DROP TABLE esia_device_advance_config_type;
ALTER TABLE esia_program ADD COLUMN program_html_template character varying(300);
UPDATE esia_program SET program_html_template='/theme/plugins/SEND_MAIL.php?htmlid=:id&htmlid_link=:linkid' WHERE program_name='SEND_MAIL';
UPDATE esia_program SET program_html_template='/theme/plugins/SEND_SMS_MAIL.php?htmlid=:id&htmlid_link=:linkid' WHERE program_name='SEND_SMS';

CREATE TABLE esia_device_advance_config_type
(
  device_config_type_id serial NOT NULL,
  device_config_type_name character varying(40),
  device_config_type_controller character varying(250),
  device_config_type_default_parameter json,
  device_config_type_webplugin_id integer,
  CONSTRAINT "device_config_type_Primary_key" PRIMARY KEY (device_config_type_id),
  CONSTRAINT "device_config_type_ForeignKey_web_plugin_id" FOREIGN KEY (device_config_type_webplugin_id)
      REFERENCES esia_web_plugin (web_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT "device_config_type_NameUNique" UNIQUE (device_config_type_name)
)
WITH (
  OIDS=FALSE
);
ALTER TABLE esia_device_advance_config_type
  OWNER TO esia;
-- Table: esia_device_advance_config

-- DROP TABLE esia_device_advance_config;

CREATE TABLE esia_device_advance_config
(
  adv_id serial NOT NULL,
  adv_device_id bigint,
  adv_config_type_id integer,
  adv_param json,
  adv_authfile_crypt character varying(250),
  adv_plugin_keyword_value character varying(250),
  CONSTRAINT "esia_device_advance_config_PrimaryKey" PRIMARY KEY (adv_id),
  CONSTRAINT "esia_device_advance_config_ForignKey_type_id" FOREIGN KEY (adv_config_type_id)
      REFERENCES esia_device_advance_config_type (device_config_type_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT "esia_device_advance_config_foreingKey_device_id" FOREIGN KEY (adv_device_id)
      REFERENCES esia_device (device_id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
)
WITH (
  OIDS=FALSE
);
ALTER TABLE esia_device_advance_config
  OWNER TO esia;

--PLUGIN TAG

ALTER TABLE esia_plugins ADD COLUMN plugin_manufacturer character varying(30);
ALTER TABLE esia_plugins ADD COLUMN plugin_tag character varying(50);

--Optimatsation dashboard
CREATE OR REPLACE FUNCTION getallchilddevicegroups(IN groupid integer[])
  RETURNS TABLE(group_id integer, group_name character varying, group_parent integer, group_order integer) AS
$BODY$
    BEGIN
IF groupid IS NULL
THEN
RETURN QUERY SELECT device_group_id, device_group_name,device_group_parent,device_group_order
       FROM esia_device_group;
ELSE
	RETURN QUERY
		WITH RECURSIVE q AS (SELECT device_group_id, device_group_name,device_group_parent,device_group_order
			FROM esia_device_group
			WHERE device_group_id = ANY (groupid)
			UNION ALL
			SELECT m.device_group_id, m.device_group_name,m.device_group_parent,m.device_group_order
			FROM esia_device_group m
			JOIN q ON q.device_group_id = m.device_group_parent)
		SELECT * FROM q;
END IF;
   END;
$BODY$
  LANGUAGE plpgsql VOLATILE
  COST 100
  ROWS 1000;
ALTER FUNCTION getallchilddevicegroups(integer[])
  OWNER TO esia;
CREATE INDEX "fki_device_config_type_ForeignKey_web_plugin_id"
  ON esia_device_advance_config_type
  USING btree
  (device_config_type_webplugin_id);
  
-- NATHAN
-- GLOBAL
--Simplification
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_LINUX_STORAGE.php' WHERE plugin_name='GESA_SNMP_LINUX_STORAGE';
UPDATE esia_plugins SET plugin_html_template='/usr/local/esia/public_html/theme/plugins/CHECK_SNMP_WINDOWS_STORAGE.php' WHERE plugin_name='GESA_SNMP_WINDOWS_STORAGE';
-- Advance Node RDP
INSERT INTO esia_device_advance_config_type VALUES (DEFAULT,'RDP','/adv_node/adv_rdp.php','{"type":"teamviewer","id":""}',NULL);


---GDPR
CREATE SEQUENCE gdpr_register_register_id_seq
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;
ALTER TABLE gdpr_register_register_id_seq
  OWNER TO esia;

CREATE TABLE gdpr_register
(
  register_id integer NOT NULL DEFAULT nextval('gdpr_register_register_id_seq'::regclass),
  register_user_name character varying(100),
  register_date timestamp without time zone DEFAULT now(),
  register_action character varying(30),
  register_type character varying(100),
  register_data text,
  register_finality text,
  CONSTRAINT "gdpr_register_PrimaryKey" PRIMARY KEY (register_id)
)
WITH (
  OIDS=FALSE
);
ALTER TABLE gdpr_register
  OWNER TO esia;
