
CREATE OR REPLACE FUNCTION public.get_timeerror(
	nodeid bigint,
	serviceid bigint,
	stardate timestamp without time zone,
	enddate timestamp without time zone)
    RETURNS TABLE(type character varying, nbrsec double precision) 
    LANGUAGE 'plpgsql'

    COST 100
    VOLATILE 
    ROWS 1000
AS $BODY$
BEGIN	
	SELECT date_part('epoch', enddate - stardate) INTO nbrsec;
	RETURN QUERY SELECT error_type, date_part('epoch',SUM(date_trunc('second',happen_time_acquitte) - date_trunc('second',happen_timestamp))) as sec_in_error FROM (
                --L'erreur de fin coupée
		SELECT error_type,happen_timestamp,enddate AS happen_time_acquitte
		FROM esia_error_happen 
		LEFT JOIN esia_errors ON error_id = happen_error_id
		WHERE happen_service_id = serviceid AND happen_device_id = nodeid
		AND happen_timestamp < enddate
		AND happen_time_acquitte > enddate
		UNION
		SELECT error_type,stardate as happen_timestamp,enddate AS happen_time_acquitte
		FROM esia_error_happen 
		LEFT JOIN esia_errors ON error_id = happen_error_id
		WHERE happen_service_id = serviceid AND happen_device_id = nodeid
		AND happen_timestamp < stardate
		AND happen_time_acquitte IS NULL
		UNION
		SELECT error_type,happen_timestamp,enddate AS happen_time_acquitte
		FROM esia_error_happen 
		LEFT JOIN esia_errors ON error_id = happen_error_id
		WHERE happen_service_id = serviceid AND happen_device_id = nodeid
		AND happen_timestamp > stardate
		AND happen_time_acquitte IS NULL
		UNION
                --Les erreurs qui ne sont pas coupées
		SELECT error_type,happen_timestamp,happen_time_acquitte 
		FROM esia_error_happen
		LEFT JOIN esia_errors ON error_id = happen_error_id
		WHERE happen_service_id = serviceid AND happen_device_id = nodeid
		AND happen_timestamp > stardate
		AND happen_time_acquitte < enddate
		UNION
                --L'erreur de début coupée
		SELECT error_type,stardate AS happen_timestamp,happen_time_acquitte 
		FROM esia_error_happen
		LEFT JOIN esia_errors ON error_id = happen_error_id
		WHERE happen_service_id = serviceid AND happen_device_id = nodeid
		AND happen_timestamp < stardate
		AND happen_time_acquitte > stardate
		UNION		
		-- nopresent
		SELECT 'nopresent' as error_type,stardate AS happen_timestamp,service_time_added AS happen_time_acquitte
		FROM esia_services
		WHERE service_id = serviceid
		AND service_time_added >  stardate
	) AS T2
	GROUP BY T2.error_type
	UNION
	SELECT 'total', date_part('epoch', enddate - stardate);
END;
$BODY$;

ALTER FUNCTION public.get_timeerror(bigint, bigint, timestamp without time zone, timestamp without time zone) OWNER TO esia;
ALTER TABLE public.esia_users ADD COLUMN user_source character varying COLLATE pg_catalog."default" DEFAULT 'LOCAL'::character varying;

-- HTML Template

UPDATE esia_configuration
SET config_value=
'<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
'||config_value||'
</html>'
WHERE config_key='MAIL_FORMAT_MESSAGE';

