CREATE TABLE public.esia_consumption
(
    conso_device_id bigint NOT NULL,
    conso_node integer DEFAULT 0,
    conso_last_update timestamp without time zone DEFAULT now(),
    conso_max_node integer,
    CONSTRAINT esia_consumption_pkey PRIMARY KEY (conso_device_id),
    CONSTRAINT conso_fk_device_id FOREIGN KEY (conso_device_id)
        REFERENCES public.esia_device (device_id) MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE NO ACTION
);
ALTER TABLE public.esia_mac_address_vendor ADD COLUMN vendor_mac macaddr;
CREATE TABLE public.esia_interface_node_connected
(
    connected_description character varying(200) COLLATE pg_catalog."default",
    connected_id bigserial,
    connected_mac macaddr,
    connected_protocol character varying(10) COLLATE pg_catalog."default",
    connected_interface_id bigint,
    CONSTRAINT esia_interface_node_connected_pkey PRIMARY KEY (connected_id),
    CONSTRAINT connected_foreignkey_interface FOREIGN KEY (connected_interface_id)
        REFERENCES public.esia_interface (interface_id) MATCH SIMPLE
        ON UPDATE NO ACTION
        ON DELETE NO ACTION
);

ALTER TABLE public.esia_interface_node_connected OWNER to esia;

